- NAME
- SYNOPSIS
- DESCRIPTION
- DEPRECATED

# NAME

IO - load various IO modules

# SYNOPSIS

       use IO qw(Handle File); # loads IO modules, here IO::Handle, IO::File
       use IO;                 # DEPRECATED

# DESCRIPTION

`IO` provides a simple mechanism to load several of the IO modules in one go. The IO modules belonging to the core are:

          IO::Handle
          IO::Seekable
          IO::File
          IO::Pipe
          IO::Socket
          IO::Dir
          IO::Select
          IO::Poll

Some other IO modules don't belong to the perl core but can be loaded as well if they have been installed from CPAN. You can discover which ones exist by searching for "^IO::" on http://search.cpan.org.

For more information on any of these modules, please see its respective documentation.

# DEPRECATED

        use IO;                # loads all the modules listed below

The loaded modules are IO::Handle, IO::Seekable, IO::File, IO::Pipe, IO::Socket, IO::Dir. You should instead explicitly import the IO modules you want.